Subject: Re: [PATCH net v2 1/2] net/sched: act_mirred: use the backlog for mirred ingress

From: Jakub Kicinski <[email-masked]>
Date: Thu, 15 Feb 2024 06:37:14 -0800

On Thu, 15 Feb 2024 13:56:12 +0100 Paolo Abeni wrote:
> > Sorry I'm not sure what you're asking.
> > 
> > We can't redirect traffic back to ourselves because we can end up
> > trying to take the socket lock for a socket that is generating
> > the packet.
> > 
> > Or are you asking how we can get the stats from the packet
> > asynchronously? We could build a local async scheme but I'd rather
> > not go there unless someone actually cares about these stats.  
> 
> I *guess* Jiri is suggesting to expand the commit message describing
> how the fix implemented by this patch works.

The irony... ;]

v3 with more words:
https://lore.kernel.org/all/[email-masked]/